package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilEntrust;
import com.patzn.cloud.service.lims.soil.mapper.SoilEntrustMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilEntrustService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验委托表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilEntrustServiceImpl extends BaseServiceImpl<SoilEntrustMapper, SoilEntrust> implements ISoilEntrustService {


    @Override
    public Page<SoilEntrust> page(Page<SoilEntrust> page, SoilEntrust soilEntrust) {
        Wrapper wrapper = new EntityWrapper<>(soilEntrust);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilEntrust> list(SoilEntrust soilEntrust) {
        return this.list(new EntityWrapper<>(soilEntrust));
    }
}
