package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilExpItem;
import com.patzn.cloud.service.lims.soil.mapper.SoilExpItemMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilExpItemService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验-资质可做试验指标表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilExpItemServiceImpl extends BaseServiceImpl<SoilExpItemMapper, SoilExpItem> implements ISoilExpItemService {


    @Override
    public Page<SoilExpItem> page(Page<SoilExpItem> page, SoilExpItem soilExpItem) {
        Wrapper wrapper = new EntityWrapper<>(soilExpItem);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilExpItem> list(SoilExpItem soilExpItem) {
        return this.list(new EntityWrapper<>(soilExpItem));
    }
}
