package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilItem;
import com.patzn.cloud.service.lims.soil.mapper.SoilItemMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilItemService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验-试验指标表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilItemServiceImpl extends BaseServiceImpl<SoilItemMapper, SoilItem> implements ISoilItemService {


    @Override
    public Page<SoilItem> page(Page<SoilItem> page, SoilItem soilItem) {
        Wrapper wrapper = new EntityWrapper<>(soilItem);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilItem> list(SoilItem soilItem) {
        return this.list(new EntityWrapper<>(soilItem));
    }
}
