package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilPrepare;
import com.patzn.cloud.service.lims.soil.mapper.SoilPrepareMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilPrepareService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验试样制备表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilPrepareServiceImpl extends BaseServiceImpl<SoilPrepareMapper, SoilPrepare> implements ISoilPrepareService {


    @Override
    public Page<SoilPrepare> page(Page<SoilPrepare> page, SoilPrepare soilPrepare) {
        Wrapper wrapper = new EntityWrapper<>(soilPrepare);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilPrepare> list(SoilPrepare soilPrepare) {
        return this.list(new EntityWrapper<>(soilPrepare));
    }
}
