package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilSampleOperation;
import com.patzn.cloud.service.lims.soil.mapper.SoilSampleOperationMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilSampleOperationService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验试样操作表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilSampleOperationServiceImpl extends BaseServiceImpl<SoilSampleOperationMapper, SoilSampleOperation> implements ISoilSampleOperationService {


    @Override
    public Page<SoilSampleOperation> page(Page<SoilSampleOperation> page, SoilSampleOperation soilSampleOperation) {
        Wrapper wrapper = new EntityWrapper<>(soilSampleOperation);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilSampleOperation> list(SoilSampleOperation soilSampleOperation) {
        return this.list(new EntityWrapper<>(soilSampleOperation));
    }
}
