package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilSample;
import com.patzn.cloud.service.lims.soil.mapper.SoilSampleMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilSampleService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验试样表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilSampleServiceImpl extends BaseServiceImpl<SoilSampleMapper, SoilSample> implements ISoilSampleService {


    @Override
    public Page<SoilSample> page(Page<SoilSample> page, SoilSample soilSample) {
        Wrapper wrapper = new EntityWrapper<>(soilSample);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilSample> list(SoilSample soilSample) {
        return this.list(new EntityWrapper<>(soilSample));
    }
}
