package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilStandardAnnex;
import com.patzn.cloud.service.lims.soil.mapper.SoilStandardAnnexMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilStandardAnnexService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验-委托附件表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilStandardAnnexServiceImpl extends BaseServiceImpl<SoilStandardAnnexMapper, SoilStandardAnnex> implements ISoilStandardAnnexService {


    @Override
    public Page<SoilStandardAnnex> page(Page<SoilStandardAnnex> page, SoilStandardAnnex soilStandardAnnex) {
        Wrapper wrapper = new EntityWrapper<>(soilStandardAnnex);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilStandardAnnex> list(SoilStandardAnnex soilStandardAnnex) {
        return this.list(new EntityWrapper<>(soilStandardAnnex));
    }
}
