package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilStandard;
import com.patzn.cloud.service.lims.soil.mapper.SoilStandardMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilStandardService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验-试验依据 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilStandardServiceImpl extends BaseServiceImpl<SoilStandardMapper, SoilStandard> implements ISoilStandardService {


    @Override
    public Page<SoilStandard> page(Page<SoilStandard> page, SoilStandard soilStandard) {
        Wrapper wrapper = new EntityWrapper<>(soilStandard);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilStandard> list(SoilStandard soilStandard) {
        return this.list(new EntityWrapper<>(soilStandard));
    }
}
