package com.patzn.cloud.service.lims.soil.service.impl;


import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import com.patzn.cloud.service.lims.soil.mapper.SoilAptitudeExpMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilAptitudeExpService;
import com.patzn.cloud.service.soil.entity.SoilAptitudeExp;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;

/**
 * <p>
 * 土工-资质可做试验表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilAptitudeExpServiceImpl extends BaseServiceImpl<SoilAptitudeExpMapper, SoilAptitudeExp> implements ISoilAptitudeExpService {


    @Override
    public Page<SoilAptitudeExp> page(Page<SoilAptitudeExp> page, SoilAptitudeExp soilAptitudeExp) {
        Wrapper wrapper = new EntityWrapper<>(soilAptitudeExp);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilAptitudeExp> list(SoilAptitudeExp soilAptitudeExp) {
        return this.list(new EntityWrapper<>(soilAptitudeExp));
    }
}
