package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import com.patzn.cloud.service.lims.soil.mapper.SoilEntrustAnnexMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilEntrustAnnexService;
import com.patzn.cloud.service.soil.entity.SoilEntrustAnnex;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验-委托附件表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilEntrustAnnexServiceImpl extends BaseServiceImpl<SoilEntrustAnnexMapper, SoilEntrustAnnex> implements ISoilEntrustAnnexService {


    @Override
    public Page<SoilEntrustAnnex> page(Page<SoilEntrustAnnex> page, SoilEntrustAnnex soilEntrustAnnex) {
        Wrapper wrapper = new EntityWrapper<>(soilEntrustAnnex);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilEntrustAnnex> list(SoilEntrustAnnex soilEntrustAnnex) {
        return this.list(new EntityWrapper<>(soilEntrustAnnex));
    }
}
