package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import com.patzn.cloud.service.lims.soil.mapper.SoilEntrustOperationMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilEntrustOperationService;
import com.patzn.cloud.service.soil.entity.SoilEntrustOperation;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验委托操作表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilEntrustOperationServiceImpl extends BaseServiceImpl<SoilEntrustOperationMapper, SoilEntrustOperation> implements ISoilEntrustOperationService {


    @Override
    public Page<SoilEntrustOperation> page(Page<SoilEntrustOperation> page, SoilEntrustOperation soilEntrustOperation) {
        Wrapper wrapper = new EntityWrapper<>(soilEntrustOperation);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilEntrustOperation> list(SoilEntrustOperation soilEntrustOperation) {
        return this.list(new EntityWrapper<>(soilEntrustOperation));
    }
}
