package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.lims.soil.service.ISoilEntrustRecordService;
import com.patzn.cloud.service.soil.entity.SoilEntrustRecord;
import com.patzn.cloud.service.lims.soil.mapper.SoilEntrustRecordMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilEntrustRecordService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import com.patzn.cloud.service.lims.soil.mapper.SoilEntrustRecordMapper;
import com.patzn.cloud.service.soil.entity.SoilEntrustRecord;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验委托操作日志表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilEntrustRecordServiceImpl extends BaseServiceImpl<SoilEntrustRecordMapper, SoilEntrustRecord> implements ISoilEntrustRecordService {


    @Override
    public Page<SoilEntrustRecord> page(Page<SoilEntrustRecord> page, SoilEntrustRecord soilEntrustRecord) {
        Wrapper wrapper = new EntityWrapper<>(soilEntrustRecord);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilEntrustRecord> list(SoilEntrustRecord soilEntrustRecord) {
        return this.list(new EntityWrapper<>(soilEntrustRecord));
    }
}
