package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilExperimentOperation;
import com.patzn.cloud.service.lims.soil.mapper.SoilExperimentOperationMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilExperimentOperationService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验试样操作表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilExperimentOperationServiceImpl extends BaseServiceImpl<SoilExperimentOperationMapper, SoilExperimentOperation> implements ISoilExperimentOperationService {


    @Override
    public Page<SoilExperimentOperation> page(Page<SoilExperimentOperation> page, SoilExperimentOperation soilExperimentOperation) {
        Wrapper wrapper = new EntityWrapper<>(soilExperimentOperation);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilExperimentOperation> list(SoilExperimentOperation soilExperimentOperation) {
        return this.list(new EntityWrapper<>(soilExperimentOperation));
    }
}
