package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilExperiment;
import com.patzn.cloud.service.lims.soil.mapper.SoilExperimentMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilExperimentService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工-样品试验表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilExperimentServiceImpl extends BaseServiceImpl<SoilExperimentMapper, SoilExperiment> implements ISoilExperimentService {


    @Override
    public Page<SoilExperiment> page(Page<SoilExperiment> page, SoilExperiment soilExperiment) {
        Wrapper wrapper = new EntityWrapper<>(soilExperiment);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilExperiment> list(SoilExperiment soilExperiment) {
        return this.list(new EntityWrapper<>(soilExperiment));
    }
}
