package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilSamplePhoto;
import com.patzn.cloud.service.lims.soil.mapper.SoilSamplePhotoMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilSamplePhotoService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验-样品照片表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilSamplePhotoServiceImpl extends BaseServiceImpl<SoilSamplePhotoMapper, SoilSamplePhoto> implements ISoilSamplePhotoService {


    @Override
    public Page<SoilSamplePhoto> page(Page<SoilSamplePhoto> page, SoilSamplePhoto soilSamplePhoto) {
        Wrapper wrapper = new EntityWrapper<>(soilSamplePhoto);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilSamplePhoto> list(SoilSamplePhoto soilSamplePhoto) {
        return this.list(new EntityWrapper<>(soilSamplePhoto));
    }
}
