package com.patzn.cloud.service.lims.soil.service.impl;

import java.util.List;

import com.patzn.cloud.service.soil.entity.SoilSampleRecord;
import com.patzn.cloud.service.lims.soil.mapper.SoilSampleRecordMapper;
import com.patzn.cloud.service.lims.soil.service.ISoilSampleRecordService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

/**
 * <p>
 * 土工试验样品操作日志表 服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-09-11
 */
@Service
public class SoilSampleRecordServiceImpl extends BaseServiceImpl<SoilSampleRecordMapper, SoilSampleRecord> implements ISoilSampleRecordService {


    @Override
    public Page<SoilSampleRecord> page(Page<SoilSampleRecord> page, SoilSampleRecord soilSampleRecord) {
        Wrapper wrapper = new EntityWrapper<>(soilSampleRecord);

        return this.page(page, wrapper);
    }


    @Override
    public List<SoilSampleRecord> list(SoilSampleRecord soilSampleRecord) {
        return this.list(new EntityWrapper<>(soilSampleRecord));
    }
}
